summaryrefslogtreecommitdiff
path: root/qa/752
diff options
context:
space:
mode:
Diffstat (limited to 'qa/752')
-rwxr-xr-xqa/75226
1 files changed, 26 insertions, 0 deletions
diff --git a/qa/752 b/qa/752
new file mode 100755
index 0000000..6815f6f
--- /dev/null
+++ b/qa/752
@@ -0,0 +1,26 @@
+#!/bin/sh
+# PCP QA Test No. 752
+# Test supported datetime strings
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+TZ=gmt src/rtimetest |
+sed -e "s/$(date '+%Y-%m-%d' -d 'yesterday') ..:..:../01\/01\/2000 00:00:00/" \
+ -e "s/$(date '+%Y-%m-%d' -d 'tomorrow') ..:..:../01\/01\/2000 00:00:00/" \
+ -e "s/$(date '+%Y-%m-%d' -d 'sunday') ..:..:../01\/01\/2000 00:00:00/" \
+ -e "s/$(date '+%Y-%m-%d' -d 'last monday') ..:..:../01\/01\/2000 00:00:00/" \
+ -e "s/$(date '+%Y-%m-%d' -d 'next tuesday') ..:..:../01\/01\/2000 00:00:00/" \
+ -e "s/$(date '+%Y-%m-%d') ..:..:../01\/01\/2000 00:00:00/"
+
+pmval -Z 'America/Los_Angeles' -S '1998-8-6 02:00:00' sample.bin -a src/ok-foo
+pmval -Z 'America/New_York' -S '1998-8-6 02:00:00' sample.bin -a src/ok-foo